VERSION 5.00
Object = "{69A40DA0-4D42-11D0-86B0-0000C025864A}#2.24#0"; "SigPlus.ocx"
Begin VB.Form Form1 
   Caption         =   "Topaz Systems SigGemColor 5.7 Demo"
   ClientHeight    =   4170
   ClientLeft      =   60
   ClientTop       =   390
   ClientWidth     =   5910
   Icon            =   "ColorDemo.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   4170
   ScaleWidth      =   5910
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Command1 
      Caption         =   "&Start Demo"
      Height          =   495
      Left            =   240
      TabIndex        =   3
      Top             =   3480
      Width           =   1215
   End
   Begin SIGPLUSLib.SigPlus SigPlus1 
      Height          =   3255
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   5655
      _Version        =   131096
      _ExtentX        =   9975
      _ExtentY        =   5741
      _StockProps     =   9
      TabletLogicalXSize=   2000
      TabletLogicalYSize=   700
      TabletXStart    =   400
      TabletXStop     =   2400
      TabletYStop     =   1050
      TabletMode      =   6
      TabletComPort   =   1
   End
   Begin VB.PictureBox Picture4 
      Height          =   495
      Left            =   1800
      Picture         =   "ColorDemo.frx":29C12
      ScaleHeight     =   435
      ScaleWidth      =   1275
      TabIndex        =   2
      Top             =   3480
      Visible         =   0   'False
      Width           =   1335
   End
   Begin VB.PictureBox Picture1 
      Height          =   495
      Left            =   3360
      Picture         =   "ColorDemo.frx":10AC54
      ScaleHeight     =   435
      ScaleWidth      =   1275
      TabIndex        =   1
      Top             =   3480
      Visible         =   0   'False
      Width           =   1335
   End
   Begin VB.Image imgClickHere 
      Height          =   300
      Left            =   240
      Picture         =   "ColorDemo.frx":1EBC96
      Top             =   4080
      Visible         =   0   'False
      Width           =   5610
   End
   Begin VB.Image imgClearOK 
      Height          =   300
      Left            =   4800
      Picture         =   "ColorDemo.frx":1EC0A0
      Top             =   3480
      Visible         =   0   'False
      Width           =   9600
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False


Private Sub Command1_Click()
Command1.Enabled = False
SigPlus1.LCDCaptureMode = 2

'create a no-capture signature window...prevent signature capture
SigPlus1.LCDSetWindow 0, 0, 1, 1
SigPlus1.SetSigWindow 1, 0, 0, 1, 1

SigPlus1.LCDRefresh 2, 0, 0, 640, 480
SigPlus1.KeyPadClearHotSpotList

SigPlus1.KeyPadAddHotSpot 0, 1, 20, 370, 450, 100 'add "next page" hotspot
SigPlus1.LCDCaptureMode = 2
SigPlus1.SetEventEnableMask 3 'initial trigger for pen down and pen up
End Sub


Private Sub Form_Load()

SigPlus1.TabletComTest = True
SigPlus1.TabletState = 1

If SigPlus1.TabletState = 1 Then
   'continue, turn off test
   SigPlus1.TabletComTest = False
Else
   'cannot locate pad, close
   SigPlus1.TabletComTest = False
   MsgBox "Cannot locate signature pad. Please make sure it is connected." & vbCrLf & vbCrLf & "The demo will now exit.", vbOKOnly + vbExclamation, "Cannot locate signature pad"
   End
End If

SigPlus1.LCDWriteFile 1, 0, 0, 0, 640, 480, 0, "" 'clear background memory
SigPlus1.LCDRefresh 0, 0, 0, 640, 480 'refresh LCD
SigPlus1.LCDSetWindow 0, 0, 640, 480
SigPlus1.LCDCaptureMode = 1 'reset pad to standard auto-erase

SigPlus1.SetLCDPixelDepth (8) 'set depth to write color image
'use a depth of 8 when writing color images

SigPlus1.SetLCDCompression 1, 127, 127 'set compression to maximize speed
SigPlus1.LCDWriteBitmap 1, 2, 0, 0, 640, 480, Picture1.Picture.Handle 'write Topaz logo color image

SigPlus1.SetLCDPixelDepth (0) 'set depth to write black and white text...will paint faster!
'use a depth of 0 when writing black and white portions

SigPlus1.LCDWriteBitmap 1, 2, 20, 375, 374, 20, imgClickHere.Picture.Handle 'write 'Click Here To Sign' message
SigPlus1.LCDCaptureMode = 2 'set mode to persistent ink
End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
SigPlus1.LCDWriteFile 1, 0, 0, 0, 640, 480, 0, ""
SigPlus1.LCDRefresh 0, 0, 0, 640, 480
SigPlus1.LCDSetWindow 0, 0, 640, 480
SigPlus1.LCDCaptureMode = 1
End Sub

Private Sub SigPlus1_PenDown()
If SigPlus1.KeyPadQueryHotSpot(0) > 0 Then 'user tapped "Click Here To Sign"
   SigPlus1.ClearSigWindow 1 'Clear hot spot buffer...call first!
   SigPlus1.LCDRefresh 1, 20, 370, 450, 100 'invert pixels to show user has tapped
   Sleep 500
   SigPlus1.LCDRefresh 0, 0, 0, 620, 480 'set pixels back to previous condition
   SigPlus1.KeyPadClearHotSpotList 'clear out current hot spot list for next page
   
   'redraw yellow signature area
   SigPlus1.SetLCDPixelDepth (8)
   SigPlus1.LCDWriteBitmap 0, 2, 1, 362, 639, 118, Picture4.Picture.Handle

   'create area on LCD and in SigPlus where signature ink will accumulate
   'outside of this area, signature data will not be allowed
   SigPlus1.LCDSetWindow 0, 362, 640, 118
   SigPlus1.SetSigWindow 1, 0, 362, 640, 117
   
   'preparing to write black and white data to LCD
   SigPlus1.SetLCDPixelDepth (0)
   
   'THIS EXAMPLE BELOW SHOWS HOW YOU MIGHT PAINT TEXT TO THE LCD INSTEAD
   'OF USING THE imgClearOK PICTURE BELOW
   'SigPlus1.LCDSetFont 28, 20, 0, 0, 0, 0, "Verdana"
   'SigPlus1.LCDWriteString 0, 2, 20, 300, 0, 0, 0, "CLEAR"
   'SigPlus1.LCDWriteString 0, 2, 400, 300, 0, 0, 0, "OK"
   
   'otherwise, just write the image of OK and CLEAR
   SigPlus1.LCDWriteBitmap 0, 2, 0, 306, 640, 20, imgClearOK.Picture.Handle
   
   'add the hot spots for new page...CLEAR and OK
   SigPlus1.KeyPadAddHotSpot 1, 1, 20, 300, 150, 40
   SigPlus1.KeyPadAddHotSpot 2, 1, 400, 300, 60, 40
End If

If SigPlus1.KeyPadQueryHotSpot(1) > 0 Then 'user tapped "CLEAR"
   SigPlus1.ClearSigWindow 1 'Clear hot spot buffer...call first!
   SigPlus1.LCDRefresh 1, 20, 300, 150, 40 'invert pixels at this location to show user tap
   SigPlus1.ClearTablet
   
   SigPlus1.SetLCDPixelDepth (8)
   SigPlus1.LCDWriteBitmap 0, 2, 1, 362, 639, 118, Picture4.Picture.Handle
   SigPlus1.LCDRefresh 1, 20, 300, 150, 40
End If

If SigPlus1.KeyPadQueryHotSpot(2) > 0 Then 'user tapped "OK"
   SigPlus1.ClearSigWindow 1
   SigPlus1.LCDRefresh 1, 400, 300, 60, 40
   Sleep 250
   SigPlus1.LCDRefresh 1, 400, 300, 60, 40
   If SigPlus1.NumberOfTabletPoints > 0 Then 'check to make sure user has signed
      SigPlus1.SigCompressionMode = 1 'compress signature to return smaller SigString
      
      'this routine will bind the signature to the specified data
      'in a real-world application, you should bind the signature to
      'the pertinent data to which the signer is reading and agreeing
      'for this demo, we will bind to sample data instead
      SigPlus1.AutoKeyStart 'start binding process
      SigPlus1.AutoKeyData = "Here is some sample binding data"
      SigPlus1.AutoKeyData = "I can add as much as I want"
      SigPlus1.AutoKeyFinish 'tell SigPlus you are done passing in data
      SigPlus1.EncryptionMode = 2 'finish binding process...you can now get SigString
      
      MsgBox "Signature captured...here is SigString: " & SigPlus1.SigString
      'store this SigString away for later use, as needed
      
      'clear out signature and re-start demo app
      SigPlus1.EncryptionMode = 0
      SigPlus1.KeyString = "0000000000000000"
      SigPlus1.ClearTablet
      SigPlus1.SetLCDPixelDepth (0)
      SigPlus1.KeyPadClearHotSpotList
      SigPlus1.LCDRefresh 0, 0, 0, 640, 480

      Command1_Click
   Else 'otherwise, signer has not signed! Go back and make them sign before continuing
      MsgBox "Please sign before continuing.", vbOKOnly + vbExclamation, "No signature captured"
   End If
End If

SigPlus1.ClearSigWindow 1
End Sub



Private Sub SigPlus1_PenUp()
Sleep 5
SigPlus1.ClearSigWindow 1 'clear hot spot buffer
SigPlus1.SetEventEnableMask 3 're-enable pen down and pen up
End Sub
